%define pypi_name ipykernel

Name:           python-%{pypi_name}
Version:        6.29.5
Release:        %mkrel 2
Group:          Development/Python
Summary:        IPython kernel for Jupyter

License:        BSD
URL:            https://pypi.org/project/ipykernel
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This software component provides an IPython kernel, which will hook itself into
Jupyter.

%package -n python3-%{pypi_name}
Summary:        IPython kernel for Jupyter
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This software component provides an IPython kernel, which will hook itself into
Jupyter.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ipykernel ipykernel_launcher

%files -n python3-%{pypi_name} -f %{pyproject_files}
%dir %{_datadir}/jupyter/kernels
%dir %{_datadir}/jupyter/kernels/python3
%{_datadir}/jupyter/kernels/python3/kernel.json
%{_datadir}/jupyter/kernels/python3/logo*.{png,svg}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 6.29.5-2.mga10
+ Revision: 2240792
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 6.29.5-1.mga10
+ Revision: 2157662
- new version 6.29.5
- rebuild for python3.13

* Tue May 14 2024 papoteur <papoteur> 6.29.3-1.mga10
+ Revision: 2064145
- new version 6.29.3

* Mon Dec 25 2023 wally <wally> 6.27.1-1.mga10
+ Revision: 2021450
- new version 6.27.1
- use %%pyproject_buildrequires

* Wed Sep 07 2022 neoclust <neoclust> 6.15.2-1.mga9
+ Revision: 1885009
- New version  6.15.2

* Sun Apr 17 2022 joequant <joequant> 6.13.0-1.mga9
+ Revision: 1850820
- update to python3.10 and latest version

* Wed Mar 30 2022 umeabot <umeabot> 5.5.3-3.mga9
+ Revision: 1833850
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 5.5.3-2.mga9
+ Revision: 1783141
- Rebuild for python-3.10

* Sun Apr 04 2021 joequant <joequant> 5.5.3-1.mga9
+ Revision: 1713298
- update to 5.5.3

* Tue Mar 23 2021 daviddavid <daviddavid> 5.5.0-2.mga9
+ Revision: 1708161
- rebuild for python 3.9

* Thu Mar 04 2021 guillomovitch <guillomovitch> 5.5.0-1.mga9
+ Revision: 1698148
- new version 5.5.0

* Fri May 01 2020 daviddavid <daviddavid> 5.2.1-1.mga8
+ Revision: 1577410
- new version: 5.2.1

* Tue Mar 31 2020 daviddavid <daviddavid> 5.1.4-1.mga8
+ Revision: 1562596
- new version: 5.1.4

* Tue Feb 18 2020 umeabot <umeabot> 5.1.3-2.mga8
+ Revision: 1541342
- Mageia 8 Mass Rebuild

* Wed Dec 25 2019 daviddavid <daviddavid> 5.1.3-1.mga8
+ Revision: 1469940
- new version: 5.1.3

* Wed Oct 09 2019 daviddavid <daviddavid> 5.1.2-1.mga8
+ Revision: 1450806
- new version: 5.1.2

* Mon Sep 16 2019 daviddavid <daviddavid> 5.1.0-2.mga8
+ Revision: 1442268
- rebuild for python3.8

* Mon Jan 07 2019 wally <wally> 5.1.0-1.mga7
+ Revision: 1351159
- new version 5.1.0
- rename python-ipykernel as python3-ipykernel
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.6.1-2.mga7
+ Revision: 1289049
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 philippem <philippem> 4.6.1-1.mga7
+ Revision: 1139061
- use setuptools to generate requires
- update to 4.6.1, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 4.3.1-2.mga7
+ Revision: 1135459
- Rebuild for python 3.6

* Mon Apr 18 2016 philippem <philippem> 4.3.1-1.mga6
+ Revision: 1003383
- imported package python-ipykernel

